## rust-weak-table 0.3.2

=== CMakeLists.txt ===
# This file is here to make CLion happy.

=== Makefile ===
default: build
hard: test

CRATE = weak_table
REPO  = weak-table-rs

build:
	clear
	cargo build
	make doc

clippy:
	rustup run nightly cargo build --features=clippy

doc:
	cargo doc
	echo "<meta http-equiv='refresh' content='0;url=$(CRATE)/'>" > target/doc/index.html

test:
	clear
	cargo test

upload-doc:
	make doc
	ghp-import -n target/doc
	git push -f https://github.com/tov/$(REPO).git gh-pages

=== debian/changelog ===
rust-weak-table (0.3.2-3) unstable; urgency=medium

  * Package weak-table 0.3.2 from crates.io using debcargo 2.7.11
  * Disable broken tests

 -- Martin <debacle@debian.org>  Fri, 26 Dec 2025 13:49:56 +0000

rust-weak-table (0.3.2-2) unstable; urgency=medium

  * Package weak-table 0.3.2 from crates.io using debcargo 2.7.11

 -- Martin <debacle@debian.org>  Thu, 25 Dec 2025 18:42:53 +0000

rust-weak-table (0.3.2-1) experimental; urgency=medium

  * Package weak-table 0.3.2 from crates.io using debcargo 2.7.8

 -- Martin <debacle@debian.org>  Thu, 21 Aug 2025 07:32:17 +0000

=== debian/control ===
Source: rust-weak-table
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo
Build-Depends-Arch: cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Martin <debacle@debian.org>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/weak-table]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/weak-table
Homepage: https://github.com/tov/weak-table-rs
X-Cargo-Crate: weak-table

Package: librust-weak-table-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-ahash-0.8+default-dev (>= 0.8.12-~~)
Provides:
 librust-weak-table+ahash-dev (= ${binary:Version}),
 librust-weak-table+alloc-dev (= ${binary:Version}),
 librust-weak-table+default-dev (= ${binary:Version}),
 librust-weak-table+std-dev (= ${binary:Version}),
 librust-weak-table-0-dev (= ${binary:Version}),
 librust-weak-table-0+ahash-dev (= ${binary:Version}),
 librust-weak-table-0+alloc-dev (= ${binary:Version}),
 librust-weak-table-0+default-dev (= ${binary:Version}),
 librust-weak-table-0+std-dev (= ${binary:Version}),
 librust-weak-table-0.3-dev (= ${binary:Version}),
 librust-weak-table-0.3+ahash-dev (= ${binary:Version}),
 librust-weak-table-0.3+alloc-dev (= ${binary:Version}),
 librust-weak-table-0.3+default-dev (= ${binary:Version}),
 librust-weak-table-0.3+std-dev (= ${binary:Version}),
 librust-weak-table-0.3.2-dev (= ${binary:Version}),
 librust-weak-table-0.3.2+ahash-dev (= ${binary:Version}),
 librust-weak-table-0.3.2+alloc-dev (= ${binary:Version}),
 librust-weak-table-0.3.2+default-dev (= ${binary:Version}),
 librust-weak-table-0.3.2+std-dev (= ${binary:Version})
Description: weak hash maps and sets for Rust - Rust source code
 This crate defines several kinds of weak hash maps and sets.
 Source code for Debianized Rust crate "weak-table"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test weak-table 0.3.2 --all-targets --all-features
Features: test-name=rust-weak-table:@
Depends: dh-cargo (>= 31), rustc, librust-quickcheck-1+default-dev, librust-rand-0.8+default-dev (>= 0.8.4-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test weak-table 0.3.2 --all-targets --no-default-features --features ahash
Features: test-name=librust-weak-table-dev:ahash
Depends: dh-cargo (>= 31), rustc, librust-quickcheck-1+default-dev, librust-rand-0.8+default-dev (>= 0.8.4-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test weak-table 0.3.2 --all-targets --no-default-features --features alloc
Features: test-name=librust-weak-table-dev:alloc
Depends: dh-cargo (>= 31), rustc, librust-quickcheck-1+default-dev, librust-rand-0.8+default-dev (>= 0.8.4-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test weak-table 0.3.2 --all-targets
Features: test-name=librust-weak-table-dev:default
Depends: dh-cargo (>= 31), rustc, librust-quickcheck-1+default-dev, librust-rand-0.8+default-dev (>= 0.8.4-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test weak-table 0.3.2 --all-targets --no-default-features --features std
Features: test-name=librust-weak-table-dev:std
Depends: dh-cargo (>= 31), rustc, librust-quickcheck-1+default-dev, librust-rand-0.8+default-dev (>= 0.8.4-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test weak-table 0.3.2 --all-targets --no-default-features
Features: test-name=librust-weak-table-dev:
Depends: dh-cargo (>= 31), rustc, librust-quickcheck-1+default-dev, librust-rand-0.8+default-dev (>= 0.8.4-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

=== debian/watch ===
Version: 5

Source: https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/weak-table
Matching-Pattern:  .*/crates/weak-table/@ANY_VERSION@/download
Filenamemangle: s/.*\/(.*)\/download/weak-table-$1\.tar\.gz/g
Uversionmangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/
